=== debian/changelog ===
kbibtex (0.8.1-1ubuntu5) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:21:25 +0100

kbibtex (0.8.1-1ubuntu4) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Feb 2020 07:59:39 +0100

kbibtex (0.8.1-1ubuntu3) disco; urgency=medium

  * debian/tests/run: Pass --class to xdotool, to exclude the Qt Selection
    window from the search results.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 03 Apr 2019 13:52:18 +0300

kbibtex (0.8.1-1ubuntu2) disco; urgency=medium

  * No-change rebuild for icu soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 13 Nov 2018 08:02:07 +0000

kbibtex (0.8.1-1ubuntu1) disco; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use real KDE Frameworks -dev package build depends, instead of
      dropped transitionals.
      + kio-dev -> libkf5kio-dev
      + kdoctools-dev -> libkf5doctools-dev

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Nov 2018 09:24:08 +0000

kbibtex (0.8.1-1) unstable; urgency=medium

  * New upstream version based on KDE Frameworks
    5", thanks to Pierre Haessig (Closes: #907030).
  * Bug fix: "kbibtex FTBFS: delegate-failed rsvg-convert", thanks to
    Helmut Grohne (Closes: #893538).
  * Bug fix: "[kbibtex] kbibtex icon is not correctly converted", thanks
    to Antonio Russo (Closes: #894653).
  * Bug fix: "project homepage changed gna.org -> kde.org", thanks to
    Pierre Haessig (Closes: #901856).
  * Bug fix: "kbibtex FTBFS: delegate-failed rsvg-convert", thanks to
    Helmut Grohne (Closes: #893538).

 -- Bastien Roucariès <rouca@debian.org>  Fri, 19 Oct 2018 17:16:30 +0200
