=== debian/control ===
Source: kbibtex
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Bastien Roucariès <rouca@debian.org>
Section: kde
Priority: optional
Build-Depends: debhelper (>= 11),
               cmake (>= 2.8.12~),
               extra-cmake-modules,
               qtbase5-dev-tools,
               qtbase5-dev,
               libkf5i18n-dev,
               libkf5xmlgui-dev,
               libkf5iconthemes-dev (>= 5.6.0~),
               libkf5itemviews-dev (>= 5.6.0~),
               libkf5completion-dev (>= 5.6.0~),
               libkf5doctools-dev,
               libkf5kio-dev,
               libkf5parts-dev (>= 5.6.0~),
               libkf5coreaddons-dev (>= 5.6.0~),
               libkf5service-dev (>= 5.6.0~),
               libkf5wallet-dev (>= 5.6.0~),
               libkf5crash-dev (>= 5.6.0~),
               libqt5xmlpatterns5-dev (>= 5.6.0~),
               libqca-qt5-2-dev (>= 2.1.0~),
               libpoppler-qt5-dev,
               libxslt1-dev,
               pkg-kde-tools (>= 0.12),
	       imagemagick,
	       inkscape,
	       librsvg2-bin
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/science-team/kbibtex
Vcs-Git: https://salsa.debian.org/science-team/kbibtex.git
Homepage: https://userbase.kde.org/KBibTeX

Package: kbibtex
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
	 kbibtex-data (= ${source:Version}),
Recommends: texlive-bibtex-extra, biber
Suggests: texlive-latex-base,
          bibtex2html,
          latex2rtf
Multi-Arch: foreign
Description: BibTeX editor for KDE
 An application to manage bibliography databases in the BibTeX format. KBibTeX
 can be used as a standalone program, but can also be embedded into other KDE
 applications (e.g. as bibliography editor into Kile).
 .
 KBibTeX can query online resources (e.g. Google scholar) via customizable
 search URLs. It is also able to import complete datasets from NCBI Pubmed.
 It also supports tagging references with keywords and manages references to
 local files.
 .
 BibTeX files can be exported into HTML, XML, PDF, PS and RTF format using a
 number of citation styles.

Package: kbibtex-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: texlive-bibtex-extra
Breaks: kbibtex (<< 0.6+git7fdc0cd97c093f-1~)
Replaces: kbibtex (<< 0.6+git7fdc0cd97c093f-1~)
Description: BibTeX editor for KDE -- common data
 An application to manage bibliography databases in the BibTeX format. KBibTeX
 can be used as a standalone program, but can also be embedded into other KDE
 applications (e.g. as bibliography editor into Kile).
 .
 KBibTeX can query online resources (e.g. Google scholar) via customizable
 search URLs. It is also able to import complete datasets from NCBI Pubmed.
 It also supports tagging references with keywords and manages references to
 local files.
 .
 BibTeX files can be exported into HTML, XML, PDF, PS and RTF format using a
 number of citation styles.
 .
 This package include common data needed by kbibtex binaries.
